Package net.snowflake.client.core

## Class FieldSchemaCreator

- java.lang.Object
- - net.snowflake.client.core.FieldSchemaCreator

    @SnowflakeJdbcInternalApi
    public class FieldSchemaCreator
    extends Object

### Field Summary

Fields
`static int` `MAX_BINARY_COLUMN_SIZE`
`static int` `MAX_TEXT_COLUMN_SIZE`

### Constructor Summary

Constructors
`FieldSchemaCreator()`

### Method Summary

All Methods Static Methods Concrete Methods
`static BindingParameterMetadata` `buildBindingSchemaForType​(int baseType)`
`static BindingParameterMetadata` `buildBindingSchemaForType​(int baseType, boolean addName)`
`static BindingParameterMetadata` `buildSchemaForBytesType​(String fieldName, Optional<SnowflakeColumn> maybeColumn)`
`static BindingParameterMetadata` `buildSchemaForText​(String fieldName, Optional<SnowflakeColumn> maybeColumn)`
`static BindingParameterMetadata` `buildSchemaTypeAndNameOnly​(String fieldName, String type, Optional<SnowflakeColumn> maybeColumn)`
`static BindingParameterMetadata` `buildSchemaWithScaleAndPrecision​(String fieldName, String type, int scale, int precision, Optional<SnowflakeColumn> maybeColumn)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MAX_TEXT_COLUMN_SIZE

    public static final int MAX_TEXT_COLUMN_SIZE

See Also:
  Constant Field Values

#### MAX_BINARY_COLUMN_SIZE

    public static final int MAX_BINARY_COLUMN_SIZE

See Also:
  Constant Field Values

### Constructor Detail

#### FieldSchemaCreator

    public FieldSchemaCreator()

### Method Detail

#### buildSchemaForText

    public static BindingParameterMetadata buildSchemaForText​(String fieldName,
                                                              Optional<SnowflakeColumn> maybeColumn)

#### buildSchemaForBytesType

    public static BindingParameterMetadata buildSchemaForBytesType​(String fieldName,
                                                                   Optional<SnowflakeColumn> maybeColumn)

#### buildSchemaTypeAndNameOnly

    public static BindingParameterMetadata buildSchemaTypeAndNameOnly​(String fieldName,
                                                                      String type,
                                                                      Optional<SnowflakeColumn> maybeColumn)

#### buildSchemaWithScaleAndPrecision

    public static BindingParameterMetadata buildSchemaWithScaleAndPrecision​(String fieldName,
                                                                            String type,
                                                                            int scale,
                                                                            int precision,
                                                                            Optional<SnowflakeColumn> maybeColumn)

#### buildBindingSchemaForType

    public static BindingParameterMetadata buildBindingSchemaForType​(int baseType)
                                                              throws SQLException

Throws:
  `SQLException`

#### buildBindingSchemaForType

    public static BindingParameterMetadata buildBindingSchemaForType​(int baseType,
                                                                     boolean addName)
                                                              throws SQLException

Throws:
  `SQLException`